> ## Documentation Index
> Fetch the complete documentation index at: https://developers.dwolla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an exchange partner

> Secure Exchange Solution: Retrieve a Dwolla Connect exchange partner by its ID.

# Retrieve an exchange partner

This section contains information on how to retrieve an exchange partner resource.

### HTTP request

> `GET https://api.dwolla.com/exchange-partners/{id}`

### Request parameters

| Parameter | Required | Type   | Description                                  |
| --------- | -------- | ------ | -------------------------------------------- |
| id        | yes      | string | Exchange Partner resource unique identifier. |

### HTTP status and error codes

| HTTP Status | Code     | Description                                                      |
| ----------- | -------- | ---------------------------------------------------------------- |
| 200         | Ok       | The Dwolla API accepted the request and returned a response.     |
| 404         | NotFound | The requested resource was not found. Check Exchange Partner ID. |

### Request and response

```bash theme={"dark"}
GET https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

...

{
    "_links": {
        "self": {
            "href": "https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
            "type": "application/vnd.dwolla.v1.hal+json",
            "resource-type": "exchange-partner"
        },
        "funding-source": {
            "href": "https://api.dwolla.com/funding-sources",
            "type": "application/vnd.dwolla.v1.hal+json",
            "resource-type": "funding-source"
        }
    },
    "id": "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a",
    "name": "MX",
    "status": "active",
    "created": "2022-08-30T19:31:59.106Z"
}
```

```ruby theme={"dark"}
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
exchange_partner_url = 'https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'

exchange_partner = app_token.get exchange_partner_url
exchange_partner.id # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
```

```php theme={"dark"}
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$exchangePartnersApi = new ExchangepartnersApi($apiClient);
$exchangePartnerUrl = "https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";

$exchangePartner = $exchangePartnersApi->id($exchangePartnerUrl);
$exchangePartner->id; # => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
?>
```

```python theme={"dark"}
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
exchange_partner_url = 'https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'

exchange_partner = app_token.get(exchange_partner_url)
exchange_partner.body['id'] # => 'e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a'
```

```javascript theme={"dark"}
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var exchangePartnerUrl =
  "https://api.dwolla.com/exchange-partners/e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a";

dwolla.get(exchangePartnerUrl).then((res) => res.body.id); // => "e5e9f2d3-a96c-4abd-a097-8ec7ae28aa8a"
```
